Page MenuHomePhabricator

Allow non-admins to upload files in Gilaki wikipedia (glkwiki)
Closed, InvalidPublic

Description

Hi
I am admin in Gilaki wikipedia and have a problem with uploading access. Users can't upload files and have a message that said just admins could upload!
How could we give access to all of users to upload files?

Event Timeline

Restricted Application added a project: acl*sre-team. · View Herald TranscriptSep 3 2015, 11:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Varg created this task.Sep 3 2015, 11:15 AM
Varg triaged this task as High priority.
Varg updated the task description. (Show Details)
Varg changed Security from None to Access Request.
Varg edited subscribers, added: Varg; removed: Aklapper.
Aklapper renamed this task from Users can not upload files in Gilaki wikipedia to Only admins can not upload files in Gilaki wikipedia.Sep 3 2015, 12:28 PM
Aklapper raised the priority of this task from High to Needs Triage.
Aklapper changed Security from Access Request to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 3 2015, 12:28 PM
Aklapper renamed this task from Only admins can not upload files in Gilaki wikipedia to Allow non-admins to upload files in Gilaki wikipedia (glkwiki).Sep 3 2015, 12:42 PM

Hi @Varg. Thanks for reporting this!
I guess this is about https://glk.wikipedia.org/wiki/ویکی‌پدیا:بارگذاری
Also, the task in the "Blocked By" field is inaccessible to me due to access restrictions...

For such configuration changes, local consensus is required. Could you discuss the matter on the Village pump page of your wiki to confirm that this change is wanted by the community, and paste the link to the discussion here?
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

For your interest, technically, upload settings are defined in the code repository in https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/079a4edf39b7df76913ef9fd7cfa0b70f7d9e9b8/wmf-config%2FInitialiseSettings.php

For general information on how to file tasks in Phabricator, please see https://www.mediawiki.org/wiki/How_to_report_a_bug

Krenair removed a subtask: Restricted Task.Sep 3 2015, 3:22 PM
Mjbmr added a subscriber: Nemo_bis.Sep 3 2015, 9:11 PM
Varg added a comment.EditedSep 7 2015, 1:09 PM

For such configuration changes, local consensus is required. Could you discuss the matter on the Village pump page of your wiki to confirm that this change is wanted by the community, and paste the link to the discussion here?

Hi, we discussed this matter and our active users put their vote to want this access:
Allow non-admins to upload files in Gilaki wikipedia

@Varg You don't need to - files uploaded to Commons can be used on all sites. However, I'm prepared to do a patch for this, but it should only be deployed if you have local license tags on https://glk.wikipedia.org/wiki/%D9%85%D8%AF%DB%8C%D8%A7%D9%88%DB%8C%DA%A9%DB%8C:Licenses - Please let me know once this has been done.

Mdann52 claimed this task.Sep 18 2015, 11:44 AM

@Varg You don't need to - files uploaded to Commons can be used on all sites. [...]

I don't understand. Why shouldn't it be translated?

How we could translate this to Gilaki?

You should upload a translated version of File:Licensing_tutorial_en.svg to https://commons.wikimedia.org/wiki/File:Licensing_tutorial_glk.svg. See https://meta.wikimedia.org/wiki/Licensing_tutorial for additional details.

@Varg You don't need to - files uploaded to Commons can be used on all sites. [...]

I don't understand. Why shouldn't it be translated?

Apologies, I misunderstood. @Varg, this should be done at https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-uploadwizard&filter=&action=translate&language=glk

How we could translate this to Gilaki?

You should upload a translated version of File:Licensing_tutorial_en.svg to https://commons.wikimedia.org/wiki/File:Licensing_tutorial_glk.svg. See https://meta.wikimedia.org/wiki/Licensing_tutorial for additional details.

Sipun added a subscriber: Sipun.Sep 21 2015, 7:13 PM
Nemo_bis changed the task status from Open to Stalled.EditedOct 2 2015, 8:16 AM

Stalled; it's not yet clear what result the wiki expects to achieve with this configuration change, specifically what's wrong with https://commons.wikimedia.org/wiki/Special:UploadWizard?uselang=glk . It seems the only desire is to have a localized interface, for which the correct solution is to translate UploadWizard and set $wgUploadNavigationUrl .

Ah nevermind, the issue is a local incorrect JavaScript (presumably copied from the English Wikipedia) which overrides $wgUploadNavigationUrl . Please a sysop or global editinterface or steward fix it.

I've removed it but I think I would prefer it to be linked directly to UploadWizard?uselang=glk.

Would $lang global in wgUploadNavigationUrl for commonsuploads wikis work reliably for InitialiseSettings.php? @Krenair might know perhaps?

Would $lang global in wgUploadNavigationUrl for commonsuploads wikis work reliably for InitialiseSettings.php? @Krenair might know perhaps?

I don't think it would in all cases, but generally yes. It should for this.

Change 243920 had a related patch set uploaded (by Glaisher):
Set $wgUploadNavigationUrl to use uselang=$lang for commonsuploads wikis by default

https://gerrit.wikimedia.org/r/243920

Change 243920 merged by jenkins-bot:
Set $wgUploadNavigationUrl to use uselang=$lang for commonsuploads wikis by default

https://gerrit.wikimedia.org/r/243920

The sidebar upload link has been changed now and closing this per T111335#1696369

Krenair removed Mdann52 as the assignee of this task.Oct 13 2015, 11:04 AM
Krenair removed a project: Patch-For-Review.
Krenair moved this task from Working on to Backlog on the Wikimedia-Site-requests board.
Dereckson added a subscriber: Dereckson.EditedOct 13 2015, 3:12 PM

$lang hasn't been initialized and assigned yet when InitialiseSettings.php is parsed.

Undefined variable: lang in /srv/mediawiki/wmf-config/InitialiseSettings.php on line 1209

Change 245945 had a related patch set uploaded (by Glaisher):
Set $wgUploadNavigationUrl to use uselang=$lang for commonsuploads wikis by default

https://gerrit.wikimedia.org/r/245945

Change 245945 merged by jenkins-bot:
Set $wgUploadNavigationUrl to use uselang=$lang for commonsuploads wikis by default

https://gerrit.wikimedia.org/r/245945

Language selection should be and already is performed by UniversalLanguageSelector... There is no evidence that it's failing for any of the users of the commonsuploads wikis.

Nemo_bis closed this task as Invalid.Oct 14 2015, 6:15 AM
Nemo_bis claimed this task.

Either way, the underlying bug has been fixed so this proposal is no longer necessary. If new issues (and proposals for their fix) arise in a new local discussion, please open a new report.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 14 2015, 6:15 AM
Varg added a comment.Nov 22 2015, 7:07 PM

Users in our wiki (glk.wikipedia.org) could not upload files yet. How I should do?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 22 2015, 7:07 PM